"use strict";

var _ink = require("ink");

var _fs = _interopRequireDefault(require("fs"));

var _path = _interopRequireDefault(require("path"));

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

// Helpers -------------------------------------------------------------------
const useYarn = _fs.default.existsSync(_path.default.resolve(__dirname, `yarn.lock`));

const shouldUseYarn = () => {
  try {
    execSync(`yarnpkg --version`, {
      stdio: `ignore`
    });
    return true;
  } catch (e) {
    return false;
  }
}; // Emma ----------------------------------------------------------------------


class Counter extends _ink.Component {
  constructor() {
    super();
    this.state = {
      i: 0
    };
  }

  render(props, state) {
    return `Iteration #${state.i} ${useYarn}`;
  }

  componentDidMount() {
    this.timer = setInterval(() => {
      this.setState({
        i: this.state.i + 1
      });
    }, 100);
  }

  componentWillUnmount() {
    clearInterval(this.timer);
  }

}

const unmount = (0, _ink.render)((0, _ink.h)(Counter, null));
setTimeout(() => {
  // Enough counting
  unmount();
}, 1000);